Bug 1479197 - (CVE-2017-7781) CVE-2017-7781 Mozilla: Elliptic curve point addition error when using mixed Jacobian-affine coordinates (MFSA 2017-18)
CVE-2017-7781 Mozilla: Elliptic curve point addition error when using mixed J...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170808,repor...
: Reopened, Security
Depends On: 1485769
Blocks: 1484228
  Show dependency treegraph
 
Reported: 2017-08-08 02:38 EDT by Doran Moppert
Modified: 2017-08-28 00:02 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-28 00:02:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doran Moppert 2017-08-08 02:38:04 EDT
An error in the elliptic curve point addition algorithm that uses mixed Jacobian-affine coordinates where it can yield a result `POINT_AT_INFINITY` when it should not. A man-in-the-middle attacker could use this to interfere with a connection, resulting in an attacked party computing an incorrect shared secret.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-18/#CVE-2017-7781


Acknowledgements:

Name: the Mozilla project
Upstream: Antonio Sanso
Comment 1 Tomas Hoger 2017-08-14 05:21:21 EDT
Upstream commit:

https://hg.mozilla.org/projects/nss/rev/6d1f5f958100

Upstream bug report, which is still non-pubic:

https://bugzilla.mozilla.org/show_bug.cgi?id=1352039
Comment 3 Huzaifa S. Sidhpurwala 2017-08-28 00:02:12 EDT
Created nss-softokn tracking bugs for this issue:

Affects: fedora-all [bug 1485769]

Note You need to log in before you can comment on or make changes to this bug.